part of 'address_bloc.dart';

@immutable
sealed class AddressEvent {}

class InitializeAddressEvent extends AddressEvent {
  InitializeAddressEvent();
}

class AddressQueryChangedEvent extends AddressEvent {
  final String query;

  AddressQueryChangedEvent(this.query);
}

class SubmitAddressEvent extends AddressEvent {
  SubmitAddressEvent();
}

class AddressSelectEvent extends AddressEvent {
  final MapPlace place;

  AddressSelectEvent(this.place);
}
